org.apache.solr.client.solrj.request.beans

## Class PluginMeta

- java.lang.Object
- - org.apache.solr.client.solrj.request.beans.PluginMeta

All Implemented Interfaces:
  MapSerializable, MapWriter, NavigableObject, ReflectMapWriter

    public class PluginMeta
    extends Object
    implements ReflectMapWriter

POJO for a plugin metadata used in container plugins

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`String` `klass`
`String` `name`
`String` `pathPrefix`
`String` `version`

### Constructor Summary

Constructors
Constructor and Description
`PluginMeta()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PluginMeta` `copy()`
`boolean` `equals(Object obj)`
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr`

### Field Detail

#### name

    public String name

#### klass

    public String klass

#### version

    public String version

#### pathPrefix

    public String pathPrefix

### Constructor Detail

#### PluginMeta

    public PluginMeta()

### Method Detail

#### copy

    public PluginMeta copy()

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`